/*
 * RemoteCanvas3D.java
 *
 * Copyright (c) 1996-1998 Brendon Wilson. All Rights Reserved.
 *
 * Brendon Wilson grants you ("Licensee") a non-exclusive, royalty free, 
 * license to use, modify and redistribute this software in source and binary 
 * code form, provided that i) this copyright notice and license appear on all
 * copies of the software; and ii) Licensee does not utilize the software in a
 * manner which is disparaging to Brendon Wilson.
 *
 * This software is provided "AS IS," without a warranty of any kind. ALL
 * EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY
 * IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
 * NON-INFRINGEMENT, ARE HEREBY EXCLUDED. BRENDON WILSON SHALL NOT BE
 * LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING
 * OR DISTRIBUTING THE SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL BRENDON
 * WILSON BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT,
 * INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
 * CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF
 * OR INABILITY TO USE SOFTWARE, EVEN IF BRENDON WILSON HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGES.
 *
 * This software is not designed or intended for use in on-line control of
 * aircraft, air traffic, aircraft navigation or aircraft communications; or in
 * the design, construction, operation or maintenance of any nuclear
 * facility. Licensee represents and warrants that it will not use or
 * redistribute the Software for such purposes.
 */

import java.awt.*;
import javax.media.j3d.*;

/**
 * A simple class which extends Canvas3D to provide a work-around which will
 * allow JSplitPane to resize the Canvas3D smaller, as well as bigger.  I hope
 * this bug in Canvas3D will be fixed in the future, so this class can be 
 * removed.
 *
 * @author Brendon Wilson
 * @version 1.0 alpha
 */
public class RemoteCanvas3D extends Canvas3D
{
    /**
     * Public constructor, calls the super() method.
     */
    public RemoteCanvas3D()
    {
        super(null);
    }

    /**
     * Returns the preferred allowable size of the Canvas3D.
     *
     * @return a Dimension of the preferred component size.
     */
    public Dimension getPreferredSize()
    {
        return new Dimension(400, 300);
    }

    /**
     * Returns the minimum allowable size of the Canvas3D.
     *
     * @return a Dimension of the minimum component size.
     */
    public Dimension getMinimumSize()
    {
        return new Dimension(0, 0);
    }
}